Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.inventory
Class ContainerChest

    java.lang.Object
      net.minecraft.inventory.Container
          net.minecraft.inventory.ContainerChest

    public class ContainerChest

extends Container

Field Summary

Fields inherited from class net.minecraft.inventory.Container
`inventoryItemStacks, inventorySlots, windowId`

Constructor Summary
`ContainerChest(IInventory par1IInventory, IInventory par2IInventory)`

Method Summary
`boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
`IInventory` | `getLowerChestInventory()` Return this chest container's lower chest inventory.
`void` | `onCraftGuiClosed(EntityPlayer par1EntityPlayer)` Callback for when the crafting gui is closed.
`ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.

Methods inherited from class net.minecraft.inventory.Container
`addCraftingToCrafters, enchantItem, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick, updateCraftingResults, updateProgressBar`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerChest

    public ContainerChest(IInventory par1IInventory,
                          IInventory par2IInventory)

Method Detail

### canInteractWith

    public boolean canInteractWith(EntityPlayer par1EntityPlayer)

  Specified by:
    `canInteractWith` in class `Container`

### transferStackInSlot

    public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                         int par2)

  Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.

  Overrides:
    `transferStackInSlot` in class `Container`

### onCraftGuiClosed

    public void onCraftGuiClosed(EntityPlayer par1EntityPlayer)

  Callback for when the crafting gui is closed.

  Overrides:
    `onCraftGuiClosed` in class `Container`

### getLowerChestInventory

    public IInventory getLowerChestInventory()

  Return this chest container's lower chest inventory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD